*** Introductory information ***

Software supporting: Analysis of natural variation in photosynthesis in a panel of Brassicaceae species

Author: Francesco Garassino
Contact: sofia.bengoaluoni@wur.nl

The software package contains a set of Rmarkdown and Python scripts:

1. phi2_fvfm_fimg_analysis.py -> script used to perform batch processing of raw fluorescence images, report statistics, and output reconstructed FvFm and PhiPSII images and histograms
2. Plot_time_series.py -> script used to construct time series of images created with phi2_fvfm_fimg_analysis.py 
3. FvFm_analysis.Rmd -> Rmarkdown file containing all analyses performed on dark-adapted Fv/Fm data
4. phiPSII_analysis.Rmd -> Rmarkdown file containing all analyses performed on phiPSII data
5. RGB_analysis.Rmd -> Rmarkdown file containing all analyses performed on data extracted from RGB images
6. NDVI_analysis.Rmd -> Rmarkdown file containing all analyses performed on NDVI data extracted from NIR images
7. Anatomy_analysis.Rmd -> Rmarkdown file containing all analyses performed on anatomical data measured from leaf micrographs
8. Chl_analysis.Rmd -> Rmarkdown file containing all analyses performed on chlorophylls data
9. Final_analysis.Rmd -> Rmarkdown file containing all integration, dimensionality reduction, clustering, and correlation analyses


*** Methodological information ***

High-throughput data employed in this study (scrips #1-6) came from the PSI PlantScreenTM platform. All values were retrieved from decoded .fimg images of fluorescence parameters.
Low-throuhgput data (employed in scripts 7 and 8) comes from optical microscopy and leaf chlorophylls extraction and spectrophotometric quantification.

All required R packages and Python modules are specified in the single scripts.
